表示对 Instagram 媒体对象的评论。
If you are migrating from Marketing API Instagram Ads endpoints to Instagram Platform endpoints, be aware that some field names are different.
本文将介绍以下字段:
legacy_instagram_comment_id不支持下列字段:
comment_typementioned_instagram_users| Instagram API with Instagram Login | Instagram API with Facebook Login | |
|---|---|---|
Access Tokens |
| |
Host URL |
|
|
Login Type | Business Login for Instagram | Facebook Login for Business |
| Permissions |
|
If the app user was granted a role via the Business Manager on the Page connected to the targeted IG User, you will also need one of:
|
不支持此操作。
GET <HOST_URL>/<IG_COMMENT_ID>?fields=<LIST_OF_FIELDS>
GET https://<HOST_URL>/<API_VERSION>/<IG_COMMENT_ID> ?fields=<LIST_OF_FIELDS> &access_token=<ACCESS_TOKEN>
| 键 | 占位符 | 值 |
|---|---|---|
|
| 必要。应用用户的用户访问口令。 |
|
| 您希望系统针对结果集中的每条 Instagram 评论返回的以英文逗号分隔的 Instagram 评论字段列表。 |
| 字段名称 | 描述 |
|---|---|
| 对象包括:
|
| 指示评论是 ( |
| Instagram 评论编号。 |
| Instagram 评论点赞数。 |
| 为市场营销 API 端点 v21.0 和更早版本建立的 Instagram 评论编号。 |
| 对象包括:
|
| 如果此评论是在另一条 Instagram 评论上创建(即对另一条评论的回复),则此为父 Instagram 评论的编号。 |
| 对 Instagram 评论的回复(Instagram 评论)列表。 |
| Instagram 评论文本。 |
| ISO 8601 格式的时间戳,表明 Instagram 评论的创建时间。 示例: |
| 创建 Instagram 评论的 Instagram 用户的编号。仅在 Instagram 评论由应用用户创建时返回,否则将返回 |
| 创建 Instagram 评论的 Instagram 用户的帐号。 自 2024 年 8 月 27 日起,如果某个 Instagram 用户评论了某个应用用户 Instagram 专业账户的媒体,则您必须获得 |
| 连线 | 描述 |
|---|---|
获取对 Instagram 评论的 Instagram 评论列表;创建对某条 Instagram 评论的 Instagram 评论。 |
{
"<FIELD>":"<VALUE>",
...
}
curl -i -X GET \
"https://graph.instagram.com/v25.0/17881770991003328?fields=hidden%2Cmedia%2Ctimestamp&access_token=EAAOc..."
{
"hidden": false,
"media": {
"id": "17856134461174448"
},
"timestamp": "2017-05-19T23:27:28+0000",
"id": "17881770991003328"
}POST <HOST_URL>/<IG_COMMENT_ID>?hide=<BOOLEAN>
hide(必要项)— 如要隐藏评论,请将其设置为 true;如要显示评论,请将其设置为 false。hide=true 亦是如此。被评论媒体对象的所有者用户的用户访问口令。
隐藏评论:
POST graph.instagram.com /17873440459141021?hide=true
{
"success": true
}DELETE <HOST_URL>/<IG_COMMENT_ID>
由创建评论的用户提供的用户访问口令。
DELETE graph.instagram.com /17873440459141021
{
"success": true
}